/*********************************************************************/
/*                   Solomon Systech Limited                         */
/*********************************************************************/
/* Program Name :io.h
/* Description : Define main routines for programming Zilog Z8 Encore! eZ8F642c
/*               8-bit MCU to drive SSD1926 DVK board
/*				 This souce code provides a reference design for customers who intend
/*				 to use any 8-bit MCU to control SSD1926 DVK board
/*				 
/* Author : Aik Hong (SSL Singapore FAE)
/*********************************************************************/

/*********************************************************************/
/*                        Change Log                                 */
/*********************************************************************/
/* 13 March 2008: Initial Revision
/* Modifications :
/* 1.0 : 
/* 1.1 :
/*********************************************************************/

#ifndef IO_H
#define IO_H
//#include "type.h"	// aik hong original comment out
#include "defines.h"	// aik hong added in

#define __inline__
#define __SSD1921 1//kevinzhu

#ifdef __SSD1921
#define MAX_MEM_SIZE		(256*1024)
#define MAX_REG_SIZE		(256*1024)
#else
#define MAX_MEM_SIZE		(512*1024)
#define MAX_REG_SIZE		(512*1024)
#endif
//#define debug(fmt, arg ... )	printk(fmt, ##arg)

#endif

// aik hong
extern void SSD_REGWB(UINT32 regNum,UINT8 value);
extern void SSD_REGWW(UINT32 regNum,UINT16 value);
extern void SSD_REGWL(UINT32 regNum,UINT32 value);
extern void SSD_MEMWB(UINT32 memAddr,UINT8 value);
extern void SSD_MEMWW(UINT32 memAddr,UINT16 value);

extern char SSD_REGRB(UINT32 regNum);
extern UINT16 SSD_REGRW(UINT32 regNum);
extern UINT32 SSD_REGRL(UINT32 regNum);

extern char SSD_MEMRB(UINT32 memAddr);
extern UINT16 SSD_MEMRW(UINT32 memAddr);

extern void write_location(UINT8 Reg_Mem);
extern void write_data(UINT8 value);
extern void Fill_memory(UINT32 memAddr, UINT8 value, UINT8 lines, UINT8 bpp);
extern void Show_Flash_Picture(UINT32 Offset, UINT32 MemorySize);
//extern UINT32 Show_Partial_SD(UINT32 offs, UINT8 *pic_buff);
extern UINT32 Show_Partial_SD(UINT32 offs);

extern char Handle_upper4(UINT8 byte1);
extern char Handle_lower4(UINT8 byte1, UINT8 up4);

extern void delay_us(int x);




