/*********************************************************************/
/*                   Solomon Systech Limited                         */
/*********************************************************************/
/* Program Name :sdcmd.h
/* Description : Define main routines for programming Zilog Z8 Encore! eZ8F642c
/*               8-bit MCU to drive SSD1926 DVK board
/*				 This souce code provides a reference design for customers who intend
/*				 to use any 8-bit MCU to control SSD1926 DVK board
/*				 Used to consolidate all the header, to make the code neater
/*				 
/* Author : Aik Hong (SSL Singapore FAE)
/*********************************************************************/

/*********************************************************************/
/*                        Change Log                                 */
/*********************************************************************/
/* 13 March 2008: Initial Revision
/* Modifications :
/* 1.0 : Version 1 
/* 1.1 :
/*********************************************************************/

#include "defines.h"

extern void SD_Power_On(void);
extern void SD_Clck_Off(void);
extern void SD_Clck_Ctrl(char value);
extern UINT8 Card_Detect(void);
extern void SD_init(void);
extern UINT8 SD_Send_CMD(UINT8 cmd, UINT32 cmd_argu, UINT8 cmd_resp_type);
extern void SD_Send_appCMD(UINT8 cmd, UINT32 cmd_argu, UINT8 cmd_resp_type);
extern void SD_send_csd(void);
extern UINT8 SD_xfer512bytes(UINT32 address);
extern UINT8 SD_read512bytes(UINT32 SD_data_address);

extern UINT32 get_cardstatus(void);
extern UINT8 Select_card(void);
extern UINT8 Deselect_card(void);
extern UINT8 SD_getDriveSize(UINT32* drive_size);
extern UINT8 SD_csd(void);
//extern UINT8 SD_write(UINT32 LBA_address,UINT8 count);
extern UINT8 SD_write(UINT32 LBA_address,UINT8* buf,UINT8 count) ;
extern UINT8 SD_read(UINT32 LBA_address,UINT8* buf,UINT8 count1);
//extern UINT8 SD_read(UINT32 LBA_address,UINT8 count1);

extern UINT8 SD_read_multiple(UINT32 LBA_address,UINT8* buf,UINT8 count);

extern INT8 write_sdcard(void);

extern UINT8 Show_SD_Content(void);


#define CMD0 0
#define CMD2 2
#define CMD3 3
#define CMD4 4
#define CMD5 5
#define CMD6 6
#define CMD7 7
#define CMD8 8
#define CMD9 9
#define CMD10 10
#define CMD12 12
#define CMD13 13
#define CMD15 15
#define CMD16 16
#define CMD17 17
#define CMD18 18
#define CMD24 24
#define CMD25 25
#define CMD27 27
#define CMD28 28
#define CMD29 29
#define CMD30 30
#define CMD32 32
#define CMD33 33
#define CMD38 38
#define CMD42 42
#define CMD50 50
#define CMD52 52
#define CMD53 53
#define CMD55 55
#define CMD56 56
#define CMD57 57

#define ACMD6 6
#define ACMD13 13
#define ACMD22 22
#define ACMD23 23
#define ACMD41 41
#define ACMD42 42
#define ACMD51 51

// Type of command
#define NORM_CMD 		0x00
#define wResp_CMD 		0x02
#define R2_Resp_CMD 	0x01
#define R1bR5b_Resp_CMD 0x03

//---------------------------------------------------------------------//
//SSD192X register command register
#define abort_cmd       0xC0
#define resume_cmd      0x80
#define suspend_cmd     0x40
#define normal_cmd      0x00
#define data_present    0x20
#define cmd_index_chk   0x10
#define cmd_crc_chk     0x08
#define cmd_check       cmd_index_chk|cmd_crc_chk

//Type of response
#define no_resp   0x00
#define r1_resp   0x02
#define r1b_resp  0x03
#define r2_resp   0x01
#define r3_resp   0x02
#define r6_resp   0x02
#define r7_resp   0x02

//--------------------------------------------------------------------//



